Bug 576147 (rekollect) - Review Request: rekollect - A note taking and note management application
Summary: Review Request: rekollect - A note taking and note management application
Keywords:
Status: CLOSED ERRATA
Alias: rekollect
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-23 12:01 UTC by Rex Dieter
Modified: 2010-04-09 04:08 UTC (History)
3 users (show)

Fixed In Version: rekollect-0.3.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:33:43 UTC
tremble: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2010-03-23 12:01:54 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/rekollect/rekollect.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/rekollect/rekollect-0.3-1.fc12.src.rpm
Description:
A note taking and note management application

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2069511

rpmlint clean

Comment 1 Rex Dieter 2010-03-23 12:14:35 UTC
a minor tweak to get scratch build ok,
http://koji.fedoraproject.org/koji/taskinfo?taskID=2069532

Comment 2 Mark Chappell 2010-03-23 12:58:06 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2070074
 [x] Rpmlint output:
$ rpmlint rekollect-0.3-1.fc12.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/rekollect-0.3-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
199d6edb4e4074cf27728c545fffe18c  rekollect-0.3.tar.gz
199d6edb4e4074cf27728c545fffe18c  SOURCES/rekollect-0.3.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2070074
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: fedora-rawhide (i686 & x86_64)
 [-] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass<tests if appropriate

--

APPROVED

Comment 3 Rex Dieter 2010-03-23 14:01:46 UTC
wow, I think we may have a record turn-around time here. :)

New Package CVS Request
=======================
Package Name: rekollect
Short Description: A note taking and note management application
Owners: rdieter
Branches: F-11 F-12 F-13
InitialCC:

Comment 4 Kevin Fenzi 2010-03-24 03:35:50 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-31 19:25:52 UTC
rekollect-0.3.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rekollect-0.3.1-1.fc13

Comment 6 Fedora Update System 2010-03-31 19:26:20 UTC
rekollect-0.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rekollect-0.3.1-1.fc12

Comment 7 Fedora Update System 2010-04-01 19:31:04 UTC
rekollect-0.3.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rekollect'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rekollect-0.3.1-1.fc13

Comment 8 Fedora Update System 2010-04-03 04:48:32 UTC
rekollect-0.3.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rekollect'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rekollect-0.3.1-1.fc12

Comment 9 Fedora Update System 2010-04-09 01:33:39 UTC
rekollect-0.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-09 04:08:04 UTC
rekollect-0.3.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.